CREATE PROCEDURE USERS_GETDETAILS
	@ID UNIQUEIDENTIFIER = NULL,
	@LOGIN VARCHAR(100) = NULL
AS

	IF @ID IS NOT NULL
	BEGIN
		SELECT ID, LOGIN, FORENAME, SURNAME, IS_ADMIN FROM dbo.USERS
		WHERE ID=@ID
	END

	IF @LOGIN IS NOT NULL
	BEGIN
		SELECT ID, LOGIN, FORENAME, SURNAME, IS_ADMIN FROM dbo.USERS
		WHERE LOGIN=@LOGIN
	END

